Bug 886905 - QuickStart READMEs and .openshift/action_hooks need to be updated with new client commands
Summary: QuickStart READMEs and .openshift/action_hooks need to be updated with new cl...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Templates
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Hiro Asari
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-13 14:44 UTC by Dan McPherson
Modified: 2015-05-15 02:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 00:36:55 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dan McPherson 2012-12-13 14:44:29 UTC
Description of problem:

There are a lot of references to rhc app cartridge add -c mysql-5.1 ......

that need to be changed to rhc cartridge add mysql-5.1 ......

Comment 1 Hiro Asari 2012-12-19 20:33:38 UTC
Sent email to Evangelists soliciting their help.

Comment 2 Dan McPherson 2012-12-20 00:40:30 UTC
This is generally something dev handles.  We made the change.  We should fix the quickstarts.

Comment 3 Hiro Asari 2013-01-23 20:26:24 UTC
Using the new github code search, I fixed all references to "rhc app cartridge" to "rhc cartridge" in OpenShift's repositories.

Comment 4 Chandrika Gole 2013-01-24 23:18:21 UTC
verified this. Went through all the quick starts in github. All rhc app cartridge references have been changed to rhc cartridge add

Comment 5 Dan McPherson 2013-01-24 23:28:04 UTC
I just searched and found 25 occurrences of 'rhc app cartridge' in the quickstarts I have cloned.

Comment 6 Hiro Asari 2013-01-25 00:15:17 UTC
Dan,

Which ones?

Comment 7 Dan McPherson 2013-01-25 03:46:47 UTC
Seemed like almost every one.  Just grep for rhc app cartridge.

Comment 8 Hiro Asari 2013-01-25 14:25:48 UTC
I see. Github search missed some in action hooks (presumably because those were hidden in .openshift), and I didn't look for those in README's. 16 such misses. https://github.com/BanzaiMan?tab=contributions&from=2013-01-25

They should all be fixed now. Thanks.

Comment 9 Dan McPherson 2013-01-25 14:54:47 UTC
I have 3 still just in the ones I have cloned:

dokuwiki-quickstart
openshift-myshoppinglist
openshift-twt-mongo-demo

I probably have 2/3rds of them clone so there may be more.

Comment 10 Hiro Asari 2013-01-25 15:05:09 UTC
My mass-clone script missed dokuwiki-quickstart, and the last two don't satisfy the naming convention ('quickstart' or 'example'), so I missed those. They should be renamed, but that's another issue.

Comment 11 Chandrika Gole 2013-01-25 21:32:48 UTC
Below is the list of quick starts I have cloned. I verified this by running grep "rhc app cartridge" 


Chandrikas-MacBook-Pro:quickstarts chandrikagole$ ls
BookMarks-openshift-quickstart		drupal-example				kitchensink-example			owncloud-openshift-quickstart		spring-eap6-quickstart
CodeIgniterQuickStart			drupal-quickstart			kitchensink-html5-mobile-example	phpbb-example				sqlbuddy-openshift-quickstart
OSQA-openshift-quickstart		elgg-openshift-quickstart		magento-example				phpmongotweet-example			sugarcrm-example
bottle-openshift-quickstart		etherpad-example			mediawiki-example			piwik-openshift-quickstart		tomcat6-example
cakephp-example				farmstand-nodejs-mongodb-example	nestacms-example			rails-example				tweetstream-example
capedwarf-example			flask-example				nodejs-example				redis-openshift-example			weinre-quickstart
capedwarf-example-modules		frogcms-example				openshift-mongo-flask-example		redmine-2.0-openshift-quickstart	wolfcms-example
croogoExample				jbossas-mongoDB-quickstart		openshift-mongo-node-express-example	redmine-openshift-quickstart		wordpress-example
dancer-example				jbossas7-liferay-quickstart		openshift-ogm-quickstart		reviewboard-example
django-example				joomla-example				openshift-tomcat-quickstart		ringojs-openshift-example
dokuwiki-quickstart			juvia-example				openshift-webpy-example			sinatra-example

Chandrikas-MacBook-Pro:quickstarts chandrikagole$ grep -nr "rhc app cartrdige" .
grep: ./drupal-example/php/sites/default/files: No such file or directory
grep: ./farmstand-nodejs-mongodb-example/node_modules/.bin/jade: No such file or directory
grep: ./mediawiki-example/php/images: No such file or directory
Chandrikas-MacBook-Pro:quickstarts chandrikagole$


Note You need to log in before you can comment on or make changes to this bug.